stages:
  - tf_validate
  - tf_plan
  - tf_apply

before_script:
  - rm -rf .terraform
  - export AWS_ACCESS_KEY_ID
  - export AWS_SECRET_ACCESS_KEY
  - terraform init

tf_validate:
  stage: tf_validate
  script:
    - terraform validate
  tags:
    - shell-runner
  when: manual

tf_plan:
  stage: tf_plan
  script:
    - terraform plan -out "planfile"
  dependencies:
    - tf_validate
  artifacts:
    paths:
      - "planfile"
  tags:
    - shell-runner
  when: manual

tf_apply:
  stage: tf_apply
  script:
    - terraform apply -input=false "planfile"
  dependencies:
     - tf_plan
  tags:
    - shell-runner
  when: manual
